%% Example of group stats
load carsmall
[m,p,g] = grpstats(Weight,Model_Year,...
                   {'mean','predci','gname'})
%%
n = length(m)
errorbar((1:n)',m,p(:,2)-m)
set(gca,'xtick',1:n,'xticklabel',g)
title('95% prediction intervals for mean weight by year')

%% Ex disttool and randtool
disttool

%%
randtool
% 
% %% Polytool
% 
% load polydata
% polytool(x,y)

%% nlintool- uses nlinfit Nonlinear regression
x = [1 2 3 5 8];
y = [2 3 5 19 50];
fun = @(b,x) b(1).*exp(b(2).*x.^2);
nlintool(x,y,fun,[1;0.5])

%%
% The data in reaction.mat are partial pressures of three chemical reactants
% and the corresponding reaction rates.
% The function hougen implements the nonlinear Hougen-Watson model for reaction rates. 
load reaction
nlintool(reactants,rate,@hougen,beta,0.01,xn,yn)

%% Multivariate statiscs

load carsmall
x = [MPG Horsepower Displacement Weight];
gplotmatrix(x,[],Model_Year,[],'+xo') 


%% Dendrogram
X = [3 1.7; 1 1; 2 3; 2 2.5; 1.2 1; 1.1 1.5; 3 1];
Y = pdist(X);
Z = linkage(Y)
dendrogram(Z)
%%
X =  [rand(10,2)+1; rand(10,2)+2];
scatter(X(:,1), X(:,2))

Y = pdist(X); % Pairwise distance
Z = linkage(Y);
dendrogram(Z);

% %%
% aoctool

%% Testing of hypothesis
x = normrnd(0.1,1,1,100);

% Test the null hypothesis that the sample comes from a standard normal
% distribution:
[h,p,ci] = ztest(x,0,1)

%% Increase number of sample
x = normrnd(0.1,1,1,1000);
[h,p,ci] = ztest(x,0,1)

%%
load hald;
[pc,score,latent,tsquare] = princomp(ingredients);

